Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.client.org
Class OrgResourceClientService

    java.lang.Object
      com.tibco.bpm.web.client.services.client.org.OrgBrowserClientService
          com.tibco.bpm.web.client.services.client.org.OrgResourceClientService

    public class OrgResourceClientService

extends OrgBrowserClientService

Field Summary

Fields inherited from class com.tibco.bpm.web.client.services.client.org.OrgBrowserClientService
`BASE_URL, XMLFRAGMENT`

Constructor Summary
`OrgResourceClientService()`

Method Summary
`void` | `createResource(CreateResourcePayload candidate, com.google.gwt.user.client.rpc.AsyncCallback<CreateResourceResponse> callback)`
`void` | `deleteResource(java.util.List<java.lang.String> guids, com.google.gwt.user.client.rpc.AsyncCallback<DeleteResourceResponse> callback)`
`void` | `findByEntity(java.lang.String orgmodelVersion, java.lang.String entityGuid, boolean deepSearch, boolean currentOnly, com.google.gwt.user.client.rpc.AsyncCallback<FindResourcesResponse> callback)`
`void` | `findByName(java.lang.String name, boolean currentOnly, com.google.gwt.user.client.rpc.AsyncCallback<FindResourcesResponse> callback)`
`static OrgResourceClientService` | `getInstance()`
`void` | `getResource(int version, java.util.List<java.lang.String> guid, com.google.gwt.user.client.rpc.AsyncCallback<GetResourceResponse> callback)`
`void` | `getResource(int version, java.lang.String guid, com.google.gwt.user.client.rpc.AsyncCallback<GetResourceResponse> callback)`
`void` | `updateResource(UpdateResourcePayLoad updateRes, com.google.gwt.user.client.rpc.AsyncCallback<UpdateResourceResponse> callback)`

Methods inherited from class com.tibco.bpm.web.client.services.client.org.OrgBrowserClientService
`cleanseResponse, getHeaders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrgResourceClientService

    public OrgResourceClientService()

Method Detail

### getInstance

    public static OrgResourceClientService getInstance()

### createResource

    public void createResource(CreateResourcePayload candidate,
                               com.google.gwt.user.client.rpc.AsyncCallback<CreateResourceResponse> callback)

### updateResource

    public void updateResource(UpdateResourcePayLoad updateRes,
                               com.google.gwt.user.client.rpc.AsyncCallback<UpdateResourceResponse> callback)

### getResource

    public void getResource(int version,
                            java.lang.String guid,
                            com.google.gwt.user.client.rpc.AsyncCallback<GetResourceResponse> callback)

### getResource

    public void getResource(int version,
                            java.util.List<java.lang.String> guid,
                            com.google.gwt.user.client.rpc.AsyncCallback<GetResourceResponse> callback)

### findByName

    public void findByName(java.lang.String name,
                           boolean currentOnly,
                           com.google.gwt.user.client.rpc.AsyncCallback<FindResourcesResponse> callback)

### findByEntity

    public void findByEntity(java.lang.String orgmodelVersion,
                             java.lang.String entityGuid,
                             boolean deepSearch,
                             boolean currentOnly,
                             com.google.gwt.user.client.rpc.AsyncCallback<FindResourcesResponse> callback)

### deleteResource

    public void deleteResource(java.util.List<java.lang.String> guids,
                               com.google.gwt.user.client.rpc.AsyncCallback<DeleteResourceResponse> callback)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.